%define	name	scigraphica
%define	version	2.1.0
%define	release	%mkrel 2

Name:		%{name}
Summary:	Data analysis and technical graphics
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Sciences/Other
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Buildrequires:	libgtk+extra-2-devel >= 2.0.0
Buildrequires:	termcap-devel ImageMagick 
Buildrequires:	readline-devel libscigraphica-devel
Buildrequires:	python-numarray-devel python-numeric-devel
Url:		http://scigraphica.sourceforge.net/

%description
SciGraphica is a scientific application for data analysis and technical 
graphics. It pretends to be a clone of the popular commercial (and expensive)
application "Microcal Origin". It fully supplies plotting features for 2D, 3D 
and polar charts. The aim is to obtain a fully-featured, cross-platform, 
user-friendly, self-growing scientific application. It is free and
open-source, released under the GPL license. 

%prep
%setup -q

%build
%configure --with-python-numeric-path=/usr/include/python2.5/Numeric/ --disable-imlib
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(scigraphica):command="scigraphica" icon="%{name}.png" \
                 needs="X11" section="Applications/Sciences/Other" title="SciGraphica" \
                 longtitle="Data Plotting and Visualization"
EOF

install -d $RPM_BUILD_ROOT{%{_liconsdir},%{_miconsdir}}
convert pixmaps/sg_icon.xpm -size 16x16 $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
convert pixmaps/sg_icon.xpm -size 32x32 $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
convert pixmaps/sg_icon.xpm -size 48x48 $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png


%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%doc AUTHORS ChangeLog TODO examples/*.sg examples/*.dat
%{_bindir}/*
%{_datadir}/pixmaps/*
%{_menudir}/*
%{_datadir}/%{name}
%{_datadir}/gnome/apps/Applications/*
%{_datadir}/gnome/help/%{name}
%{_mandir}/man1/*
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%dir %{_libdir}/%{name}/%{version}/plugins
%{_libdir}/%{name}/%{version}/plugins/*/*


%changelog
* Wed Dec 20 2006 Crispin Boylan <crisb@mandriva.org> 2.1.0-2mdv2007.0
+ Revision: 100458
- BuildReqs cleanup, rebuilt with gtk2
- Import scigraphica




* Tue Jul 26 2005 Lenny Cartier <lenny@mandriva.com> 2.1.0-1mdk
- 2.1.0

* Fri Jan 21 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.8.0-11mdk
- rebuild for new readline
- cosmetics

* Thu Jan 13 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.8.0-10mdk
- rebuild for new python

* Mon Jul 12 2004 Olivier Blin <blino@mandrake.org> 0.8.0-9mdk
- fix BuildRequires

* Tue Jul  6 2004 Olivier Blin <blino@mandrake.org> 0.8.0-8mdk
- Patch0: gcc 3.4 fixes

* Sun Aug 31 2003 Michael Scherer <scherer.michael@free.fr> 0.8.0-7mdk
- BuildRequires libpython2.3-devel 

* Sat Aug 30 2003 Michael Scherer <scherer.michael@free.fr> 0.8.0-6mdk 
- BuildRequires libreadline4-devel libgnomeprint15-devel

* Fri Aug 15 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.8.0-5mdk
- rebuild for python
- fix icons
- cleanups
- rm -rf $RPM_BUILD_ROOT in %%install, not %%prep
- buildrequires

* Tue May 06 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.8.0-4mdk
- buildrequires

* Fri Jan 24 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.8.0-3mdk
- rebuild

* Fri Jan 11 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.8.0-2mdk
- rebuild against new python

* Fri Dec 06 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.8.0-1mdk
- 0.8.0
- fix files section

* Wed Aug 29 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.7.1-2mdk
- rebuild against new libgtk+extra

* Tue Aug 28 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.7.1-1mdk
- updated to 0.7.1

* Sun Mar 11 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6.3-1mdk
- updated to 0.6.3
- rebuild against new libgtk-extra

* Mon Feb 12 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6.2-2mdk
- used updated srpm from Conrad Steenberg <conrad@hep.caltech.edu>
- fix builrequires and requires to python-numeric

* Thu Feb 08 2001 Conrad Steenberg <conrad@hep.caltech.edu> 0.6.2-1mdk
- update to 0.6.2
- include only sg_icon.xpm
- include example files in doc directory

* Fri Jan 19 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6.1-2mdk
- update requires and buildrequires

* Tue Jan 16 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6.1-1mdk
- new in contribs
